Subject: Re: bug#75379: 30.0.93; project-find-regexp expects "C" or "en" locale

From: Matthias Meulien <[email-masked]>
Date: Tue, 7 Jan 2025 06:42:43 +0100

> To try to fix the current behavior on FR locales, we would tell grep to
> output its messages in English. That would make xref-matches-in-files
> behave the same across languages.
>
> Step 2 would be to render the "binary file matches" elements in the UI.
>

Why not keep user locale setting and keep current grep args, but send a
generated file with NUL chars to collect the output message and make
current check generating the error be dynamically generated?

It would cover both cases at once. And work on Windows, right?